import { useEffect } from 'react';
export var useOutsideClick = function useOutsideClick(ref, callback) {
  var handleClick = function handleClick(ev) {
    ref && ref.current && !ref.current.contains(ev.target) && callback();
  };

  useEffect(function () {
    document.addEventListener('touchend', handleClick);
    document.addEventListener('mousedown', handleClick);
    return function () {
      document.removeEventListener('touchend', handleClick);
      document.removeEventListener('mousedown', handleClick);
    };
  }, []); // eslint-disable-line react-hooks/exhaustive-deps
};